Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
sources
/
mention_rate_average_position_by_url
Individual URL Performance Metrics
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/sources/mention_rate_average_position_by_url \
  --header 'Authorization: <api-key>'
[
  {
    "url": "<string>",
    "mention_rate": "<string>",
    "average_position": "<string>",
    "source": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

domain
string
required

Filter by one specific domain.

format
enum<string>
Available options:
csv,
json
intention
string

Filter by one specific intention.

intention__in
string

Filter by a list of intentions. Values should be comma separated

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus

Response

url
string
required
mention_rate
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
average_position
string<decimal>
required
Pattern: ^-?\d{0,2}(?:\.\d{0,2})?$
source
string
required